networks:
  zenithwiki:
    driver: bridge

services:
  mediawiki:
    image: www.coastalcommits.com/zenith/mediawiki:latest
    build: .
    restart: always
    ports:
      - 8037:80
    links:
      - database
    networks:
      - zenithwiki
    volumes:
      - images:/var/www/html/images
      - resources:/var/www/html/resources
      - /var/lib/mediawiki/LocalSettings.php:/var/www/html/LocalSettings.php
  database:
    image: mariadb
    restart: always
    environment:
      MYSQL_DATABASE: zenith
      MYSQL_USER: zenithwikiuser
      MYSQL_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
    networks:
      - zenithwiki
    volumes:
      - db:/var/lib/mysql

volumes:
  images:
  resources:
  db:
